CentOS 7 (1804) において Python の Pyperclip モジュールを使うには

CentOS 7 (1804) において Python の Pyperclip モジュールを使おうとしたら「Pyperclip could not find a copy/paste mechanism for your system」というエラーメッセージが表示されたときの対処法について。

Python 3.6 のインストール

以下の記事を参照:

よしいずの雑記帳:CentOS 7 (1804) における Python 3.6 のインストール手順

Pyperclip モジュールのインストール

# pip3.6 install pyperclip

Python の実行 (当該のエラーが出る)

$ python3.6
>>> import pyperclip
>>> pyperclip.copy('Hello world')
Traceback (most recent call list): 
(中略)
    Pyperclip could not find a copy/paste mechanism for your system.
    For more information, please visit https://pyperclip.readthedocs.io/en/latest/introduction.html#not-implemented-error
>>> exit()

エラーメッセージの中にある URL のページには、

  • sudo apt-get install xsel to install the xsel utility.
  • sudo apt-get install xclip to install the xclip utility.
  • pip install gtk to install the gtk Python module.
  • pip install PyQt4 to install the PyQt4 Python module.

のどれかを実行すればよいといったことが書かれています。1 番目を試します。

なお、2 番目は未検証です。3 番目と 4 番目は「Could not find a version that satisfies the requirement ~」というエラーメッセージが表示されてインストールできませんでした。

xsel パッケージのインストール

# yum install xsel

ここで、事前に EPEL リポジトリのインストールが必要です:

# yum install epel-release

Python の再実行 (当該のエラーが出なくなる)

$ python3.6
>>> pyperclip.copy('Hello world')
>>> pyperclip.paste()
'Hello world'

【theme : Linux
【genre : コンピュータ

プロフィール

よしいず

Author:よしいず
MATHEMATICS.PDFというウェブサイトを運営しています。アマゾンにて電子書籍を販売しています。

管理の都合上、トラックバックとコメントはオフにしてあります。ブログ経験者なら分かっていただけると思いますが、スパム(アダルトやその他の宣伝)ばかりなのが現実です。

リンクは自由です。当サイトの記事に対する間違いの指摘・意見・感想などを述べた記事からのリンクは歓迎です。ただし、ブログ記事アップ直後はミスが多く、頻繁に修正します。場合によっては削除する可能性もあります。その際、何も断りもなく修正・削除しますがご了承ください。内容を参考にする場合には投稿後一週間ほど様子を見てからにしてください(笑)。

記事の間違いを指摘するときは、その具体的箇所、理由(仕様に反するなど)・根拠(参考にした文献など)、代替案(同じ結果を得るための正しいやり方)も教えてください。そうしないと、(指摘される側および第三者はその時点では無知の状態なので、)どこが間違いなのか分かりませんし、本当に間違っているのかどうかが判断・検証できません。実際、間違いだと指摘されたことが結局は正しかったというケースもありますので。

このブログのタイトル一覧

リンク
月別アーカイブ
カテゴリ
最新記事
検索フォーム
RSSリンクの表示